com.holonplatform.jaxrs.swagger.spring

## Interface ApiConfigurationProperties

- All Known Implementing Classes:
    SwaggerConfigurationProperties, SwaggerConfigurationProperties.ApiGroupConfiguration

      public interface ApiConfigurationProperties

  API listing configuration properties.
  Since:
    5.2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getContactEmail()` Get the API contact email.
    `String` | `getContactName()` Get the API contact name.
    `String` | `getContactUrl()` Get the API contact URL.
    `String` | `getContextId()` Get the API context id.
    `String` | `getDescription()` Get the API description.
    `String` | `getExternalDocsDescription()` Get the external documentation description.
    `String` | `getExternalDocsUrl()` Get the external documentation URL.
    `List<String>` | `getIgnoredRoutes()` Get the API operation routes to ignore for API definition generation.
    `String` | `getLicenseName()` Get the API license name.
    `String` | `getLicenseUrl()` Get the API license URL.
    `String` | `getPath()` Get the API listing endpoint path.
    `String` | `getResourcePackage()` Get the package names to use to filter the API resource classes.
    `default Set<String>` | `getResourcePackages()` Get the package names to use to filter the API resource classes.
    `JaxrsScannerType` | `getScannerType()` Get the API resource classes scanner type.
    `List<Map<String,List<String>>>` | `getSecurityRequirements()` Get the API security requirements.
    `String` | `getServerDescription()` Get the API server description.
    `String` | `getServerUrl()` Get the API server URL.
    `String` | `getTermsOfServiceUrl()` Get the API terms of service URL.
    `String` | `getTitle()` Get the API title.
    `ApiEndpointType` | `getType()` Get the API listing endpoint type.
    `SwaggerConfigurationProperties.Version` | `getV2()` Get the Swagger V2 specific configuration.
    `SwaggerConfigurationProperties.Version` | `getV3()` Get the Swagger/OpenAPI V3 specific configuration.
    `String` | `getVersion()` Get the API version.
    `boolean` | `isGroupConfiguration()` Get whether is a API group configuration.
    `boolean` | `isIncludeAll()` Get whether to include all API resources or to include only the resources with a suitable API definition annotation.
    `boolean` | `isPrettyPrint()` Get whether the API output should be formatted.

- - ### Method Detail

    - #### isGroupConfiguration

          boolean isGroupConfiguration()

      Get whether is a API group configuration.
      Returns:
        whether is a API group configuration

    - #### isIncludeAll

          boolean isIncludeAll()

      Get whether to include all API resources or to include only the resources with a suitable API definition annotation.

      If `false`: For Swagger V2, only the `io.swagger.annotations.ApiOperation` annotated resource methods will be incuded. For Swagger/OpenAPI V3, only the `io.swagger.v3.oas.annotations.Operation` annotated resource methods will be incuded.

      Returns:
        whether to include all API resources

    - #### getIgnoredRoutes

          List<String> getIgnoredRoutes()

      Get the API operation routes to ignore for API definition generation.
      Returns:
        the ignored routes

    - #### getResourcePackage

          String getResourcePackage()

      Get the package names to use to filter the API resource classes.

      To specify more than one package name, a comma separator con be used

      Returns:
        the package name to use to filter the API resource classes

    - #### getResourcePackages

          default Set<String> getResourcePackages()

      Get the package names to use to filter the API resource classes.
      Returns:
        the package names to use to filter the API resource classes

    - #### getPath

          String getPath()

      Get the API listing endpoint path.
      Returns:
        the API listing endpoint path

    - #### getType

          ApiEndpointType getType()

      Get the API listing endpoint type.
      Returns:
        the API listing endpoint type

    - #### getScannerType

          JaxrsScannerType getScannerType()

      Get the API resource classes scanner type.
      Returns:
        the API resource classes scanner type

    - #### getContextId

          String getContextId()

      Get the API context id.
      Returns:
        The context id

    - #### getTitle

          String getTitle()

      Get the API title.
      Returns:
        the API title

    - #### getVersion

          String getVersion()

      Get the API version.
      Returns:
        the API version

    - #### getDescription

          String getDescription()

      Get the API description.
      Returns:
        the API description

    - #### getTermsOfServiceUrl

          String getTermsOfServiceUrl()

      Get the API terms of service URL.
      Returns:
        the API terms of service URL

    - #### getContactName

          String getContactName()

      Get the API contact name.
      Returns:
        the API contact name

    - #### getContactEmail

          String getContactEmail()

      Get the API contact email.
      Returns:
        the API contact email

    - #### getContactUrl

          String getContactUrl()

      Get the API contact URL.
      Returns:
        the API contact URL

    - #### getLicenseName

          String getLicenseName()

      Get the API license name.
      Returns:
        the API license name

    - #### getLicenseUrl

          String getLicenseUrl()

      Get the API license URL.
      Returns:
        the API license URL

    - #### getExternalDocsUrl

          String getExternalDocsUrl()

      Get the external documentation URL.
      Returns:
        the API contact URL

    - #### getExternalDocsDescription

          String getExternalDocsDescription()

      Get the external documentation description.
      Returns:
        the API contact URL

    - #### getServerUrl

          String getServerUrl()

      Get the API server URL.
      Returns:
        the API server URL

    - #### getServerDescription

          String getServerDescription()

      Get the API server description.
      Returns:
        the API server description

    - #### getSecurityRequirements

          List<Map<String,List<String>>> getSecurityRequirements()

      Get the API security requirements.
      Returns:
        the API security requirements

    - #### isPrettyPrint

          boolean isPrettyPrint()

      Get whether the API output should be formatted.
      Returns:
        whether the API output should be formatted

    - #### getV2

          SwaggerConfigurationProperties.Version getV2()

      Get the Swagger V2 specific configuration.
      Returns:
        the Swagger V2 specific configuration

    - #### getV3

          SwaggerConfigurationProperties.Version getV3()

      Get the Swagger/OpenAPI V3 specific configuration.
      Returns:
        the Swagger/OpenAPI V3 specific configuration

Copyright © 2019 The Holon Platform. All rights reserved.